package testutil

import (
	"runtime"
	"testing"
)

func Skip32bit(t *testing.T) {
	t.Helper()

	if runtime.GOARCH == "386" || runtime.GOARCH == "arm" || runtime.GOARCH == "mipsle" {
		t.Skip("Skipping test on 32-bit arch")
	}
}

func SkipSlow(t *testing.T) {
	t.Helper()

	if runtime.GOARCH == "386" || runtime.GOARCH == "arm" || runtime.GOARCH == "mipsle" || runtime.GOARCH == "riscv64" {
		t.Skip("Skipping CPU-intensive test on slow arch")
	}
}

func SkipOn(t *testing.T, arches []string, msg string) {
	t.Helper()

	for _, arch := range arches {
		if runtime.GOARCH == arch {
			t.Skip(msg)
		}
	}
}
